Package groovy.transform.stc

# Class SimpleType

java.lang.Object
groovy.transform.stc.ClosureSignatureHint
groovy.transform.stc.SingleSignatureClosureHint
groovy.transform.stc.SimpleType

public class SimpleType extends SingleSignatureClosureHint

## Constructor Summary

Constructors
Constructor
Description
`SimpleType()`

## Method Summary

Modifier and Type
Method
Description
`ClassNode[]`
`getParameterTypes(MethodNode node, String[] options, SourceUnit sourceUnit, CompilationUnit unit, ASTNode usage)`

### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

`getClosureSignatures`

### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

`findClassNode, pickGenericType, pickGenericType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleType

public SimpleType()

## Method Details

### getParameterTypes

public ClassNode[] getParameterTypes(MethodNode node, String[] options, SourceUnit sourceUnit, CompilationUnit unit, ASTNode usage)

Specified by:
  `getParameterTypes` in class `SingleSignatureClosureHint`